Validate a formula expression
POST
/api/v1/formulas/validate
const url = 'https://app.avera.io/api/v1/formulas/validate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"expression":"example","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/formulas/validate \ --header 'Content-Type: application/json' \ --data '{ "expression": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Validates the syntax of a formula expression and extracts dependencies
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
expression
required
string
projectId
required
string format: uuid
Example generated
{ "expression": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
Media type*/*
object
valid
required
boolean
errors
required
Array<object>
object
type
required
string
message
required
string
line
integer | null format: int32
column
integer | null format: int32
dependencies
estimatedComplexity
string | null
provisionalKind
string | null